Package com.documentum.fc.client.acs

# Interface IDfAcsTransferPreferences

public interface IDfAcsTransferPreferences
Provides methods to set preferences for accelerated content transfer operations.

Since:
  5.3 sp1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `allowBocsTransfer(boolean isBocsTransferAllowed)`
  Specifies whether BOCS content transfer is allowed.
  `void`
  `allowSurrogateTransfer(boolean isSurrogateTransferAllowed)`
  Specifies whether surrogate transfer is allowed.
  `String`
  `getClientNetworkLocationId()`
  Returns the client network location identifier to be used.
  `IDfList`
  `getProtocols()`
  Returns a list of enabled protocols.
  `boolean`
  `isAcsTransferPreferred()`
  Indicates whether accelerated content transfer is preferred.
  `boolean`
  `isBocsTransferAllowed()`
  Tests if BOCS content transfer is allowed.
  `boolean`
  `isMacClient()`
  Tests whether the client is a Macintosh client.
  `boolean`
  `isProtocolEnabled(Object protocol)`
  Returns whether or not the protocol is currently enabled.
  `boolean`
  `isSurrogateTransferAllowed()`
  Tests if surrogate transfer is allowed.
  `boolean`
  `isSynchronousBocsTransfer()`
  Tests if BOCS content transfer needs to be synchronous.
  `void`
  `preferAcsTransfer(boolean isAcsTransferPreferred)`
  Sets the accelerated content transfer preference.
  `void`
  `setClientNetworkLocationId(String clientNetworkLocationId)`
  Sets the client network location identifier to be used.
  `void`
  `setMacClient(boolean isMacClient)`
  Specifies whether the client is a Macintosh client.
  `void`
  `setProtocols(IDfList protocols)`
  Sets protocols to be used for accelerated content transfer.
  `void`
  `setSynchronousBocsTransfer(boolean isSynchronousBocsTransfer)`
  Specifies whether BOCS content transfer needs to be synchronous.

- ## Method Details

  - ### isAcsTransferPreferred

    boolean isAcsTransferPreferred()
    Indicates whether accelerated content transfer is preferred.
    Returns:
      `true`, if accelerated content transfer is preferred; `false` otherwise. Default value is `true`.

  - ### preferAcsTransfer

    void preferAcsTransfer(boolean isAcsTransferPreferred)
    Sets the accelerated content transfer preference. Set the argument to `true` to indicate that accelerated content transfer is preferred; `false` otherwise.
    Parameters:
      `isAcsTransferPreferred` - `true` indicates that accelerated content transfer is preferred; `false` indicates that accelerated content transfer is not preferred.

  - ### getClientNetworkLocationId

    String getClientNetworkLocationId()
    Returns the client network location identifier to be used. The client network location identifier is the value of a network location object's netloc_ident attribute.
    Returns:
      client network location identifier. Default value is `null`.

  - ### setClientNetworkLocationId

    void setClientNetworkLocationId(String clientNetworkLocationId)
    Sets the client network location identifier to be used. The client network location identifier is the value of a network location object's netloc_ident attribute.
    Parameters:
      `clientNetworkLocationId` - identifier of the client network location to be used

  - ### getProtocols

    IDfList getProtocols()
    Returns a list of enabled protocols. Accelerated content transfer is limited to these protocols.
    Returns:
      `IDfList` of protocols. If not null and not empty, accelerated content transfer is limited to these protocols. Default value is empty `IDfList` object.

  - ### setProtocols

    void setProtocols(IDfList protocols)
    Sets protocols to be used for accelerated content transfer. For a list of acceptable protocols, refer to the Content Server documentation.
    Parameters:
      `protocols` - IDfList of protocols. If not null and not empty, accelerated content transfer is limited to these protocols.

  - ### isProtocolEnabled

    boolean isProtocolEnabled(Object protocol)
    Returns whether or not the protocol is currently enabled.
    Parameters:
      `protocol` - The method checks whether or not this protocol is enabled.
    Returns:
      `true` if the protocol is enabled; `false` otherwise

  - ### isMacClient

    boolean isMacClient()
    Tests whether the client is a Macintosh client.
    Returns:
      `true` if the client is a Macinstosh client; `false` otherwise. Default value is `false`.

  - ### setMacClient

    void setMacClient(boolean isMacClient)
    Specifies whether the client is a Macintosh client.
    Parameters:
      `isMacClient` - `true` if the client is a Macintosh client; `false` otherwise.

  - ### isSurrogateTransferAllowed

    boolean isSurrogateTransferAllowed()
    Tests if surrogate transfer is allowed.
    Returns:
      `true` if surrogate transfer allowed; `false` otherwise. Default value is `true`.

  - ### allowSurrogateTransfer

    void allowSurrogateTransfer(boolean isSurrogateTransferAllowed)
    Specifies whether surrogate transfer is allowed.
    Parameters:
      `isSurrogateTransferAllowed` - `true` if surrogate transfer allowed; `false` otherwise.

  - ### isBocsTransferAllowed

    boolean isBocsTransferAllowed()
    Tests if BOCS content transfer is allowed.
    Returns:
      `true` if BOCS content transfer allowed; `false` otherwise. Default value is `true`.

  - ### allowBocsTransfer

    void allowBocsTransfer(boolean isBocsTransferAllowed)
    Specifies whether BOCS content transfer is allowed.
    Parameters:
      `isBocsTransferAllowed` - `true` if BOCS content transfer allowed; `false` otherwise

  - ### isSynchronousBocsTransfer

    boolean isSynchronousBocsTransfer()
    Tests if BOCS content transfer needs to be synchronous.
    Returns:
      `true` if BOCS content transfer needs to be synchronous; `false` otherwise. Default value is `true`.

  - ### setSynchronousBocsTransfer

    void setSynchronousBocsTransfer(boolean isSynchronousBocsTransfer)
    Specifies whether BOCS content transfer needs to be synchronous.
    Parameters:
      `isSynchronousBocsTransfer` - `true` if BOCS content transfer needs to be synchronous; `false` otherwise.